Bug 225589 - Non-empty roots encountered while no projects are opened
Non-empty roots encountered while no projects are opened
Status: VERIFIED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
7.3
PC Windows 7
: P1 (vote)
: 7.3
Assigned To: Svata Dedic
issues@editor
: 73_HR_FIX
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-01-31 11:12 UTC by Jiri Skrivanek
Modified: 2013-02-04 11:31 UTC (History)
3 users (show)

See Also:
Issue Type: DEFECT
:


Attachments
IDE log. (87.34 KB, text/plain)
2013-01-31 11:12 UTC, Jiri Skrivanek
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Jiri Skrivanek 2013-01-31 11:12:44 UTC
Created attachment 130879 [details]
IDE log.

In NetBeans 7.3RC1 was logged some error from RepositoryUpdater. I just unzipped full distribution and created java web project.

FINE [org.netbeans.modules.parsing.impl.indexing.RepositoryUpdater]: Paths ID classpath/javascript-boot: [D:\Development\builds\NB73\20130130\netbeans\ide\jsstubs\corestubs.zip;D:\Development\builds\NB73\20130130\netbeans\ide\jsstubs\domstubs.zip;D:\Development\builds\NB73\20130130\netbeans\ide\jsstubs\reststubs.zip]

Product Version: NetBeans IDE 7.3 RC1 (Build 201301302200)
Java: 1.7.0_11; Java HotSpot(TM) 64-Bit Server VM 23.6-b04
Runtime: Java(TM) SE Runtime Environment 1.7.0_11-b21
System: Windows 7 version 6.1 running on amd64; Cp1250; en_US (nb)
Comment 1 David Strupl 2013-02-01 07:53:33 UTC
Hello,

I have several questions for this one:

1. Why is this P1?

2. Why is FINE logging turned on for repository updater in the release build?

3. Is the reported error harmful?

Thanks, David
Comment 2 Svata Dedic 2013-02-01 08:03:12 UTC
1/ because it would be desirable to fix in 7.3, at least I would also vote for fixing; it could scare users who see the console contents.

2/ because of PERFORMANCE defects, which reported scanning even if no project was opened. The FINE loglevel is set programmatically when background scan runs AND there's no project opened so the global classpath contains garbage, which should be reported. The level goes back to INFO after the bkg scan completes.

3/ no, it pollutes the log. In the case of 'scanning when no project is opened' we will need to filter out these invalid log entries (should be easy, since only *stubs.zip!/ are present in classpath)

because of fragile detection and changes in JS stubs zip naming, the log now also reports "OK" situation with only JS stubs on classpath (of course it would be better if the classpath contained no entry at all)
Comment 3 Svata Dedic 2013-02-01 08:15:45 UTC
Changeset: e361a7d6d1bf
Author:    Svata Dedic <sdedic@netbeans.org>
Date:      2013-02-01 09:15
Message:   Improved detection of IDE-injected entries on classpaths so diagnostics of scanning without project is not printed
Comment 4 Svata Dedic 2013-02-01 08:17:03 UTC
fixed in trunk (pushing in a few minutes). Please decide on application to 7.3 release.
Comment 5 David Strupl 2013-02-01 08:39:49 UTC
I am against pushing this into 7.3 branch but I don't want to make the final decision (yet). I would like to first hear from Tomas Zezula (after reviewing the patch) and also from QA (preferably Marian) how they assess how serious it is from their point of view.

As for 3.: is the message printed just once (per IDE run) or is it printed repeatedly?
Comment 6 Tomas Zezula 2013-02-01 08:56:22 UTC
The patch is not dangerous, it just detects .*stubs.zip in the NB installation.
Maybe 100% safe patch for Nb 7.3 will be just correct the name of the javascript stubs and hard code it and keep this patch only in dev.
Comment 7 Svata Dedic 2013-02-01 09:00:29 UTC
During my testing, it was printed every time, when the IDE was empty & the 1st project was created, and every time the last project closed.
Comment 8 Svata Dedic 2013-02-01 09:04:04 UTC
(In reply to comment #6)
> The patch is not dangerous, it just detects .*stubs.zip in the NB installation.
> Maybe 100% safe patch for Nb 7.3 will be just correct the name of the
> javascript stubs and hard code it and keep this patch only in dev.

Yes, I could just replace the .contains string with "/jsstubs/". Since it is for diagnostic only (and no real work), then even if user code contained some such directory, it could just cause the diagnostics NOT being printed, which is the safe side.
Comment 9 Svata Dedic 2013-02-01 11:38:53 UTC
ported to release73 as http://hg.netbeans.org/releases/rev/9b7b3cec3405
Comment 10 Quality Engineering 2013-02-02 02:34:27 UTC
Integrated into 'main-golden', will be available in build *201302020001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/e361a7d6d1bf
User: Svata Dedic <sdedic@netbeans.org>
Log: Issue #225589 - Non-empty roots encountered while no projects are opened: fixed
Improved detection of IDE-injected entries on classpaths so diagnostics of scanning without project is not printed
Comment 11 Quality Engineering 2013-02-04 01:16:30 UTC
Integrated into 'releases', will be available in build *201302032200* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/9b7b3cec3405
User: Svata Dedic <sdedic@netbeans.org>
Log: Issue #225589: no jsstubs/ files will trigger scanning diagnostics


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo